opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
CvBoostParams Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvBoostParams:

## Public Member Functions

| CvBoostParams ()
| CvBoostParams (int boost_type, int weak_count, double weight_trim_rate, int max_depth, bool use_surrogates, const float *priors)
Public Member Functions inherited from CvDTreeParams
| CvDTreeParams ()
| CvDTreeParams (int _max_depth, int _min_sample_count, float _regression_accuracy, bool _use_surrogates, int _max_categories, int _cv_folds, bool _use_1se_rule, bool _truncate_pruned_tree, const float *_priors)

## Public Attributes

CV_PROP_RW int | boost_type
CV_PROP_RW int | split_criteria
CV_PROP_RW int | weak_count
CV_PROP_RW double | weight_trim_rate
Public Attributes inherited from CvDTreeParams
CV_PROP_RW int | cv_folds
CV_PROP_RW int | max_categories
CV_PROP_RW int | max_depth
CV_PROP_RW int | min_sample_count
const float * | priors
CV_PROP_RW float | regression_accuracy
CV_PROP_RW bool | truncate_pruned_tree
CV_PROP_RW bool | use_1se_rule
CV_PROP_RW bool | use_surrogates

## Constructor & Destructor Documentation

CvBoostParams::CvBoostParams | ( |  | ) |

CvBoostParams::CvBoostParams | ( | int | boost_type,
|  | int | weak_count,
|  | double | weight_trim_rate,
|  | int | max_depth,
|  | bool | use_surrogates,
|  | const float * | priors
| ) |  |

## Member Data Documentation

CV_PROP_RW int CvBoostParams::boost_type

CV_PROP_RW int CvBoostParams::split_criteria

CV_PROP_RW int CvBoostParams::weak_count

CV_PROP_RW double CvBoostParams::weight_trim_rate

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp